# Generated from wouter-0.0.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wouter

Name: rubygem-%{gem_name}
Version: 0.0.10
Release: 1%{?dist}
Summary: Rack web framework
License: MIT
URL: https://github.com/rawburt/wouter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(m) >= 1.5
# BuildRequires: rubygem(m) < 2
# BuildRequires: rubygem(m) >= 1.5.1
# BuildRequires: rubygem(minitest) >= 5.11
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.11.3
# BuildRequires: rubygem(minitest-rg) >= 5.2
# BuildRequires: rubygem(minitest-rg) < 6
# BuildRequires: rubygem(minitest-rg) >= 5.2.0
# BuildRequires: rubygem(mocha) >= 1.7
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(mocha) >= 1.7.0
# BuildRequires: rubygem(rack-test) >= 1.1
# BuildRequires: rubygem(rack-test) < 2
# BuildRequires: rubygem(rack-test) >= 1.1.0
BuildArch: noarch

%description
Wouter is a modular web framework built on top of Rack.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/wouter.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.10-1
- Initial package
